Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.conversation
Interface DecisionDataHandle

All Known Implementing Classes:
  BasicDecisionDataHandle

public interface DecisionDataHandle

The DecisionDataHandle interface represents a decision made by, or a decision request sent to, the decision logic.

DecisionDataHandles are what gets passed between Conversations and DecisionLogicAdapters. Note: the utility of this interface is not clear at present; it may turn out to be preferable to pass the name & args directly, without this wrapper.

Method Summary
`java.lang.Object` | `getArg(int index)` Returns the given parameter to the decision or decision-request.
`java.lang.Object[]` | `getArgs()` Returns the parameters to the decision or decision-request.
`java.lang.Class[]` | `getArgTypes()` Returns the class types of the parameters.
`java.lang.String` | `getName()` Returns the name of the decision or decision-request.
`int` | `getNumArgs()` Returns the number of parameters to the decision or decision-request.
`void` | `setArg(int index, java.lang.Object newArg)` Sets the parameter at the given index.
`void` | `setArgs(java.lang.Object[] newArgs)` Sets the parameters to the decision or decision-request.
`void` | `setName(java.lang.String newName)` Sets the name of the decision or decision-request.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the decision or decision-request.

  Returns:
    The name of the decision or decision-request.

### setName

    public void setName(java.lang.String newName)

  Sets the name of the decision or decision-request.

  Parameters:
    `newName` - The name of the decision or decision-request.

### getArgs

    public java.lang.Object[] getArgs()

  Returns the parameters to the decision or decision-request.

  Returns:
    The parameters to the decision or decision-request.

### setArgs

    public void setArgs(java.lang.Object[] newArgs)

  Sets the parameters to the decision or decision-request.

  Parameters:
    `newArgs` - The parameters to the decision or decision-request.

### getArgTypes

    public java.lang.Class[] getArgTypes()

  Returns the class types of the parameters.

  Returns:
    The Class objects for the parameters, or `null` if not defined.

### getNumArgs

    public int getNumArgs()

  Returns the number of parameters to the decision or decision-request.

  Returns:
    The number of parameters to the decision or decision-request.

### getArg

    public java.lang.Object getArg(int index)

  Returns the given parameter to the decision or decision-request.

  Parameters:
    `index` - The index of the parameter
  Returns:
    The parameter at the given index.

### setArg

    public void setArg(int index,
                       java.lang.Object newArg)

  Sets the parameter at the given index.

  Parameters:
    `index` - The index of the parameter to set.
    `newArg` - The new parameter.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005